--- include/class.round_robin.php	2009-01-12 23:15:12.059166108 +0200
+++ /usr/share/eventum/include/class.round_robin.php	2009-02-05 02:04:13.624053894 +0200
@@ -29,8 +29,6 @@
 // @(#) $Id: class.round_robin.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . 'class.date.php');
-require_once(APP_INC_PATH . 'class.error_handler.php');
 
 class Round_Robin
 {
@@ -57,11 +55,11 @@
         // if start is PM and end is PM (and end is bigger than start), then use only today
         // if start is PM and end is AM, then use today and tomorrow
         //   - if date is between zero and the end, then use yesterday and today
-        if ((Date_API::isAM($start)) && (Date_API::isPM($end))) {
+        if ((Date_Helper::isAM($start)) && (Date_Helper::isPM($end))) {
             $first = 0;
             $second = 0;
         }
-        if ((Date_API::isAM($start)) && (Date_API::isAM($end)) && ($end < $start)) {
+        if ((Date_Helper::isAM($start)) && (Date_Helper::isAM($end)) && ($end < $start)) {
             if (($user->getHour() >= 0) && ($user->getHour() <= $end)) {
                 $first = -DAY;
                 $second = 0;
@@ -70,11 +68,11 @@
                 $second = DAY;
             }
         }
-        if ((Date_API::isAM($start)) && (Date_API::isAM($end)) && ($end > $start)) {
+        if ((Date_Helper::isAM($start)) && (Date_Helper::isAM($end)) && ($end > $start)) {
             $first = 0;
             $second = 0;
         }
-        if ((Date_API::isPM($start)) && (Date_API::isPM($end)) && ($end < $start)) {
+        if ((Date_Helper::isPM($start)) && (Date_Helper::isPM($end)) && ($end < $start)) {
             if (($user->getHour() >= 0) && ($user->getHour() <= $end)) {
                 $first = -DAY;
                 $second = 0;
@@ -83,11 +81,11 @@
                 $second = DAY;
             }
         }
-        if ((Date_API::isPM($start)) && (Date_API::isPM($end)) && ($end > $start)) {
+        if ((Date_Helper::isPM($start)) && (Date_Helper::isPM($end)) && ($end > $start)) {
             $first = 0;
             $second = 0;
         }
-        if ((Date_API::isPM($start)) && (Date_API::isAM($end))) {
+        if ((Date_Helper::isPM($start)) && (Date_Helper::isAM($end))) {
             if (($user->getHour() >= 0) && ($user->getHour() <= $end)) {
                 $first = -DAY;
                 $second = 0;
@@ -135,7 +133,7 @@
             $ignored_users = 0;
             // check the blackout hours
             do {
-                $user = new Date(Date_API::getCurrentUnixTimestampGMT());
+                $user = new Date(Date_Helper::getCurrentUnixTimestampGMT());
                 $user->convertTZById($users[$next_usr_id]['timezone']);
                 list($today, $tomorrow) = Round_Robin::getBlackoutDates($user, $blackout_start, $blackout_end);
                 $first = new Date($today . ' ' . $blackout_start);
@@ -200,7 +198,7 @@
                     rru_next=0
                  WHERE
                     rru_prr_id=$prr_id";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -212,7 +210,7 @@
                      WHERE
                         rru_usr_id=" . Misc::escapeInteger($usr_id) . " AND
                         rru_prr_id=$prr_id";
-            $res = $GLOBALS["db_api"]->dbh->query($stmt);
+            $res = Db_Helper::getInstance()->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return false;
@@ -238,7 +236,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_round_robin
                  WHERE
                     prr_prj_id=" . Misc::escapeInteger($prj_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -274,7 +272,7 @@
                     rru_usr_id=usr_id
                  ORDER BY
                     usr_id ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -321,7 +319,7 @@
                     '" . Misc::escapeString($blackout_start) . "',
                     '" . Misc::escapeString($blackout_end) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -357,7 +355,7 @@
                     " . Misc::escapeInteger($usr_id) . ",
                     0
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -386,7 +384,7 @@
                     prr_prj_id=prj_id
                  ORDER BY
                     prj_title ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -421,7 +419,7 @@
                     rru_prr_id=" . Misc::escapeInteger($prr_id) . "
                  ORDER BY
                     usr_id ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -446,7 +444,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_round_robin
                  WHERE
                     prr_id=" . Misc::escapeInteger($prr_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -476,7 +474,7 @@
                     prr_blackout_end='" . Misc::escapeString($blackout_end) . "'
                  WHERE
                     prr_id=" . Misc::escapeInteger($_POST["id"]);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -509,7 +507,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "round_robin_user
                  WHERE
                     rru_prr_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -532,7 +530,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_round_robin
                  WHERE
                     prr_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
--- include/class.routing.php	2009-01-12 23:15:12.062088686 +0200
+++ /usr/share/eventum/include/class.routing.php	2009-02-05 02:15:18.650649872 +0200
@@ -27,19 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.mail.php");
-require_once(APP_INC_PATH . "class.support.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.mime_helper.php");
-require_once(APP_INC_PATH . "class.date.php");
-require_once(APP_INC_PATH . "class.setup.php");
-require_once(APP_INC_PATH . "class.notification.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.note.php");
-require_once(APP_INC_PATH . "class.project.php");
-require_once(APP_INC_PATH . "class.status.php");
-require_once(APP_INC_PATH . "class.history.php");
 
 /**
  * Class to handle all routing functionality
@@ -135,13 +122,13 @@
         Mime_Helper::parse_output($structure, $parts);
 
         // get the sender's email address
-        $sender_email = strtolower(Mail_API::getEmailAddress($structure->headers['from']));
+        $sender_email = strtolower(Mail_Helper::getEmailAddress($structure->headers['from']));
 
         // strip out the warning message sent to staff users
         if (($setup['email_routing']['status'] == 'enabled') &&
                 ($setup['email_routing']['warning']['status'] == 'enabled')) {
-            $full_message = Mail_API::stripWarningMessage($full_message);
-            $body = Mail_API::stripWarningMessage($body);
+            $full_message = Mail_Helper::stripWarningMessage($full_message);
+            $body = Mail_Helper::stripWarningMessage($body);
         }
 
         $prj_id = Issue::getProjectID($issue_id);
@@ -157,7 +144,7 @@
         if ((!empty($structure->headers['cc'])) && (@$setup['smtp']['save_outgoing_email'] == 'yes')) {
             $ccs = explode(",", @$structure->headers['cc']);
             for ($i = 0; $i < count($ccs); $i++) {
-                if (Mail_API::getEmailAddress($ccs[$i]) == $setup['smtp']['save_address']) {
+                if (Mail_Helper::getEmailAddress($ccs[$i]) == $setup['smtp']['save_address']) {
                     unset($ccs[$i]);
                 }
             }
@@ -165,13 +152,13 @@
         }
 
         // Remove excess Re's
-        @$structure->headers['subject'] = Mail_API::removeExcessRe(@$structure->headers['subject'], true);
+        @$structure->headers['subject'] = Mail_Helper::removeExcessRe(@$structure->headers['subject'], true);
 
         $t = array(
             'issue_id'       => $issue_id,
             'ema_id'         => $email_account_id,
             'message_id'     => @$structure->headers['message-id'],
-            'date'           => Date_API::getCurrentDateGMT(),
+            'date'           => Date_Helper::getCurrentDateGMT(),
             'from'           => @$structure->headers['from'],
             'to'             => @$structure->headers['to'],
             'cc'             => @$structure->headers['cc'],
@@ -199,7 +186,7 @@
         }
 
         // re-write Threading headers if needed
-        list($t['full_email'], $t['headers']) = Mail_API::rewriteThreadingHeaders($t['issue_id'], $t['full_email'], $t['headers'], "email");
+        list($t['full_email'], $t['headers']) = Mail_Helper::rewriteThreadingHeaders($t['issue_id'], $t['full_email'], $t['headers'], "email");
         $res = Support::insertEmail($t, $structure, $sup_id);
         if ($res != -1) {
             Support::extractAttachments($issue_id, $structure);
@@ -215,7 +202,7 @@
             }
             Notification::notifyNewEmail(Auth::getUserID(), $issue_id, $t, $internal_only, $assignee_only, '', $sup_id);
             // try to get usr_id of sender, if not, use system account
-            $usr_id = User::getUserIDByEmail(Mail_API::getEmailAddress($structure->headers['from']));
+            $usr_id = User::getUserIDByEmail(Mail_Helper::getEmailAddress($structure->headers['from']));
             if (!$usr_id) {
                 $usr_id = APP_SYSTEM_USER_ID;
             }
@@ -296,7 +283,7 @@
 
         $prj_id = Issue::getProjectID($issue_id);
         // check if the sender is allowed in this issue' project and if it is an internal user
-        $sender_usr_id = User::getUserIDByEmail(strtolower(Mail_API::getEmailAddress($structure->headers['from'])), true);
+        $sender_usr_id = User::getUserIDByEmail(strtolower(Mail_Helper::getEmailAddress($structure->headers['from'])), true);
         if ((empty($sender_usr_id)) || (User::getRoleByUser($sender_usr_id, $prj_id) < User::getRoleID('Standard User'))) {
             return array(77, ev_gettext("Error: The sender of this email is not allowed in the project associated with issue #$issue_id.") . "\n");
         }
@@ -305,11 +292,11 @@
 
         // parse the Cc: list, if any, and add these internal users to the issue notification list
         $addresses = array();
-        $to_addresses = Mail_API::getEmailAddresses(@$structure->headers['to']);
+        $to_addresses = Mail_Helper::getEmailAddresses(@$structure->headers['to']);
         if (count($to_addresses)) {
             $addresses = $to_addresses;
         }
-        $cc_addresses = Mail_API::getEmailAddresses(@$structure->headers['cc']);
+        $cc_addresses = Mail_Helper::getEmailAddresses(@$structure->headers['cc']);
         if (count($cc_addresses)) {
             $addresses = array_merge($addresses, $cc_addresses);
         }
@@ -322,7 +309,7 @@
         }
 
         $body = $structure->body;
-        $reference_msg_id = Mail_API::getReferenceMessageID($headers);
+        $reference_msg_id = Mail_Helper::getReferenceMessageID($headers);
         if (!empty($reference_msg_id)) {
             $parent_id = Note::getIDByMessageID($reference_msg_id);
         } else {
@@ -413,7 +400,7 @@
 
         $prj_id = Issue::getProjectID($issue_id);
         // check if the sender is allowed in this issue' project and if it is an internal user
-        $sender_usr_id = User::getUserIDByEmail(strtolower(Mail_API::getEmailAddress($structure->headers['from'])), true);
+        $sender_usr_id = User::getUserIDByEmail(strtolower(Mail_Helper::getEmailAddress($structure->headers['from'])), true);
         if (!empty($sender_usr_id)) {
             $sender_role = User::getRoleByUser($sender_usr_id, $prj_id);
             if ($sender_role < User::getRoleID('Standard User')) {
--- include/class.scm.php	2009-01-12 23:15:12.059166108 +0200
+++ /usr/share/eventum/include/class.scm.php	2009-02-05 02:04:13.627392307 +0200
@@ -29,14 +29,6 @@
 // @(#) $Id: class.scm.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.history.php");
-require_once(APP_INC_PATH . "class.date.php");
-require_once(APP_INC_PATH . "class.setup.php");
 
 /**
  * Class to handle the business logic related to the source control management
@@ -62,7 +54,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_checkin
                  WHERE
                     isc_iss_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -87,13 +79,13 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_checkin
                  WHERE
                     isc_id IN ($items)";
-        $issue_id = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $issue_id = Db_Helper::getInstance()->getOne($stmt);
 
         $stmt = "DELETE FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_checkin
                  WHERE
                     isc_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -153,7 +145,7 @@
                     isc_iss_id=" . Misc::escapeInteger($issue_id) . "
                  ORDER BY
                     isc_created_date ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -172,7 +164,7 @@
             $res[$i]["checkout_url"] = SCM::parseURL($setup["checkout_url"], $res[$i]);
             $res[$i]["diff_url"] = SCM::parseURL($setup["diff_url"], $res[$i]);
             $res[$i]["scm_log_url"] = SCM::parseURL($setup["scm_log_url"], $res[$i]);
-            $res[$i]["isc_created_date"] = Date_API::getFormattedDate($res[$i]["isc_created_date"]);
+            $res[$i]["isc_created_date"] = Date_Helper::getFormattedDate($res[$i]["isc_created_date"]);
         }
         return $res;
     }
@@ -205,11 +197,11 @@
                     '" . Misc::escapeString($_GET["files"][$i]) . "',
                     '" . Misc::escapeString($_GET["old_versions"][$i]) . "',
                     '" . Misc::escapeString($_GET["new_versions"][$i]) . "',
-                    '" . Date_API::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
                     '" . Misc::escapeString($_GET["username"]) . "',
                     '" . Misc::escapeString($_GET["commit_msg"]) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
--- include/class.search_profile.php	2009-01-12 23:15:12.042086912 +0200
+++ /usr/share/eventum/include/class.search_profile.php	2009-02-05 02:03:28.887392531 +0200
@@ -29,8 +29,6 @@
 // @(#) $Id: class.search_profile.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
 
 
 class Search_Profile
@@ -53,7 +51,7 @@
                     sep_usr_id=" . Misc::escapeInteger($usr_id) . " AND
                     sep_prj_id=" . Misc::escapeInteger($prj_id) . " AND
                     sep_type='" . Misc::escapeString($type) . "'";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -89,7 +87,7 @@
                     sep_usr_id=" . Misc::escapeInteger($usr_id) . " AND
                     sep_prj_id=" . Misc::escapeInteger($prj_id) . " AND
                     sep_type='" . Misc::escapeString($type) . "'";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -124,7 +122,7 @@
                     sep_usr_id=" . Misc::escapeInteger($usr_id) . " AND
                     sep_prj_id=" . Misc::escapeInteger($prj_id) . " AND
                     sep_type='" . Misc::escapeString($type) . "'";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -185,7 +183,7 @@
                     '" . Misc::escapeString($type) . "',
                     '" . Misc::escapeString(serialize($profile)) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -216,7 +214,7 @@
                     sep_usr_id=" . Misc::escapeInteger($usr_id) . " AND
                     sep_prj_id=" . Misc::escapeInteger($prj_id) . " AND
                     sep_type='" . Misc::escapeString($type) . "'";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
--- include/class.session.php	2009-01-12 23:15:12.089164963 +0200
+++ /usr/share/eventum/include/class.session.php	2009-02-05 01:39:37.144199052 +0200
@@ -29,8 +29,6 @@
 // @(#) $Id: class.session.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.setup.php");
 
 /**
  * Wrapper class for sessions. This is an initial bare bones implementation.
--- include/class.stats.php	2009-01-12 23:15:12.065832249 +0200
+++ /usr/share/eventum/include/class.stats.php	2009-02-05 02:03:28.890723611 +0200
@@ -29,14 +29,6 @@
 // @(#) $Id: class.stats.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.release.php");
-require_once(APP_INC_PATH . "class.priority.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.project.php");
-require_once(APP_INC_PATH . "class.status.php");
 
 /**
  * Class to handle the business logic related to the generation of the
@@ -110,7 +102,7 @@
                 $stmt .= " AND
                         sta_is_closed = 0";
             }
-            $res = (integer) $GLOBALS["db_api"]->dbh->getOne($stmt);
+            $res = (integer) Db_Helper::getInstance()->getOne($stmt);
             if ($res > 0) {
                 $stats[$prc_title] = $res;
             }
@@ -147,7 +139,7 @@
                 $stmt .= " AND
                         sta_is_closed = 0";
             }
-            $res = (integer) $GLOBALS["db_api"]->dbh->getOne($stmt);
+            $res = (integer) Db_Helper::getInstance()->getOne($stmt);
             if ($res > 0) {
                 $stats[$pre_title] = $res;
             }
@@ -184,7 +176,7 @@
                 $stmt .= " AND
                         sta_is_closed = 0";
             }
-            $res = (integer) $GLOBALS["db_api"]->dbh->getOne($stmt);
+            $res = (integer) Db_Helper::getInstance()->getOne($stmt);
             if ($res > 0) {
                 $stats[$sta_title] = $res;
             }
@@ -224,7 +216,7 @@
                     iss_sta_id
                  ORDER BY
                     total_items DESC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -267,7 +259,7 @@
                     iss_prc_id
                  ORDER BY
                     total_open_items";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -310,7 +302,7 @@
                     iss_pre_id
                  ORDER BY
                     total_open_items DESC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -347,7 +339,7 @@
                 $stmt .= " AND
                         sta_is_closed = 0";
             }
-            $res = (integer) $GLOBALS["db_api"]->dbh->getOne($stmt);
+            $res = (integer) Db_Helper::getInstance()->getOne($stmt);
             if ($res > 0) {
                 $stats[$pri_title] = $res;
             }
@@ -390,7 +382,7 @@
                     iss_pri_id
                  ORDER BY
                     total_open_items DESC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -429,7 +421,7 @@
                 $stmt .= " AND
                         sta_is_closed = 0";
             }
-            $res = (integer) $GLOBALS["db_api"]->dbh->getOne($stmt);
+            $res = (integer) Db_Helper::getInstance()->getOne($stmt);
             if ($res > 0) {
                 $stats[$usr_full_name] = $res;
             }
@@ -474,7 +466,7 @@
                     isu_usr_id
                  ORDER BY
                     total_open_items DESC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -506,7 +498,7 @@
                     sup_removed=0
                  GROUP BY
                     type";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -526,7 +518,7 @@
                     sup_ema_id=ema_id AND
                     ema_prj_id=$prj_id AND
                     sup_removed=1";
-        $res3 = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res3 = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res3)) {
             Error_Handler::logError(array($res3->getMessage(), $res3->getDebugInfo()), __FILE__, __LINE__);
             return "";
